org.apache.mina.example.sumup.message

## Class AbstractMessage

- java.lang.Object
- - org.apache.mina.example.sumup.message.AbstractMessage

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AddMessage, ResultMessage

      public abstract class AbstractMessage
      extends Object
      implements Serializable

  A base message for SumUp protocol messages.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSequence()`
    `void` | `setSequence(int sequence)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMessage

          public AbstractMessage()

  - ### Method Detail

    - #### getSequence

          public int getSequence()

    - #### setSequence

          public void setSequence(int sequence)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.